{"openapi":"3.0.4","info":{"title":"Lists system logs for a domain","description":"Lists system logs for a domain","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/logs":{"get":{"tags":["Identity Logs"],"summary":"Lists system logs for a domain","description":"Lists system logs for a domain","operationId":"ListLogs","parameters":[{"name":"oktaSince","in":"query","description":"Lower bound of log events published property","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"oktaUntil","in":"query","description":"Upper bound of log events published property","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"oktaFilter","in":"query","description":"Okta filter expression","schema":{"maxLength":5000,"minLength":0,"type":"string"}},{"name":"oktaQuery","in":"query","description":"Filters log events results by one or more case insensitive keywords","schema":{"maxLength":5000,"minLength":0,"type":"string"}},{"name":"oktaLimit","in":"query","description":"Max number of results returned","schema":{"maximum":1000,"minimum":0,"type":"integer","format":"int32"},"x-nullable":true},{"name":"oktaSortOrder","in":"query","description":"Order of events by published property. Either ASCENDING or DESCENDING","schema":{"type":"string"}},{"name":"oktaAfter","in":"query","description":"Okta Page token","schema":{"maxLength":50,"minLength":0,"type":"string"}}],"responses":{"200":{"description":"List Logs","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/ResourceListOfSystemLog"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Beta"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}